Name:           asc
Version:        2.6.1.0
Release:        %mkrel 4
Summary:        Advanced Strategic Command - Turn-based strategy game
Group:          Games/Strategy
License:        GPLv2+
URL:            http://www.asc-hq.org
Source0:        http://downloads.sf.net/asc-hq/%{name}-%{version}.tar.bz2

BuildRequires:  boost-devel
BuildRequires:  bzip2-devel
BuildRequires:  jpeg-devel
BuildRequires:  physfs-devel
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  SDL_sound-devel
BuildRequires:  wxgtk-devel
BuildRequires:  zip
Requires:       %{name}-data >= %{version}
Recommends:     %{name}-music

%description
Advanced Strategic Command is a free, turn-based strategy game.
It is designed in the tradition of the Battle Isle series.
The game can be played against human or computer.

%files
%{_gamesbindir}/%{name}*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_mandir}/man6/%{name}*.6*

#----------------------------------------------------------------------

%package data
Summary:        Data files for Advanced Strategic Command
BuildArch:      noarch

%description data
This package contains arch-independent data files for the Advanced
Strategic Command game, except from the music pack provided by the
%{name}-music package.

%files data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------

%prep
%setup -q

%build
export CXXFLAGS="%{optflags} -std=c++11"
%configure2_5x --bindir=%{_gamesbindir} \
               --enable-genparse
%make_build

%install
%make_install

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Advanced Strategic Command
Comment=Turn-based strategy game inspired from the Battle Isle series
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;StrategyGame;
EOF

install -d %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -m644 data/icons/program-icon.png \
    %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Sat Jun 03 2017 akien <akien> 2.6.1.0-4.mga6
+ Revision: 1106084
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 2.6.1.0-3.mga6
+ Revision: 1019805
- rebuild for wxgtk3.0 built with GTK2

* Sat Dec 26 2015 daviddavid <daviddavid> 2.6.1.0-2.mga6
+ Revision: 915152
- rebuild for new boost 1.60.0

* Sun Dec 13 2015 akien <akien> 2.6.1.0-1.mga6
+ Revision: 910106
- Version 2.6.1.0

* Fri Sep 25 2015 daviddavid <daviddavid> 2.6.0.0-4.mga6
+ Revision: 883653
- rebuild for new boost 1.59.0

* Thu Sep 03 2015 cjw <cjw> 2.6.0.0-3.mga6
+ Revision: 872502
- rebuild with gcc 5

* Fri Jul 31 2015 daviddavid <daviddavid> 2.6.0.0-2.mga6
+ Revision: 859860
- rebuild for new boost-1.58.0

* Sat Jul 04 2015 akien <akien> 2.6.0.0-1.mga6
+ Revision: 850542
- imported package asc

